%{bcond_with perl_File_BaseDir_enables_xdg_user_dirs}
Name:           perl-File-BaseDir
Version:        0.09
Release:        2
Summary:        Use the Freedesktop.org base directory specification
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-BaseDir
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/File-BaseDir-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Build::Compat) perl(Test::More)
BuildRequires:  perl-File-Which
%if %{with perl_File_BaseDir_enables_xdg_user_dirs}
BuildRequires:  xdg-user-dirs
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Provides:       perl-File-UserDirs = %{version}-%{release}
Provides:       perl(File::UserDirs) = %{version}-%{release}
Obsoletes:      perl-File-UserDirs < %{version}-%{release}

%description
This module can be used to find directories and files as specified by the Freedesktop.org Base
Directory Specification. This specifications gives a mechanism to locate directories for
configuration, application data and cache data. It is suggested that desktop applications for
e.g. the Gnome, KDE or Xfce platforms follow this layout. However, the same layout can just
as well be used for non-GUI applications.

%if %{with perl_File_BaseDir_enables_xdg_user_dirs}
Summary:        Find extra media and documents Freedesktop.org directories
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       xdg-user-dirs
Conflicts:      %{name} < 0.06-2

%description -n perl-File-UserDirs
File::UserDirs Perl module can be used to find directories as informally
specified by the Freedesktop.org xdg-user-dirs software. This gives
a mechanism to locate extra directories for media and documents files.
%endif

%package_help

%prep
%autosetup -n File-BaseDir-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%exclude %{perl_vendorlib}/File/UserDirs.pm

%if %{with perl_File_BaseDir_enables_xdg_user_dirs}
%files -n perl-File-UserDirs
%doc Changes README
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/UserDirs.pm
%endif

%files help
%{_mandir}/man3/*

%changelog
* Thu Nov 10 2022 liyanan <liyanan32@h-partners.com>  - 0.09-2
- Change source

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.09-1
- Upgrade to version 0.09

* Mon Sep 6 2021 caodongxia <caodongxia@huawei.com> - 0.08-7
- and build require perl-File-Which

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.08-6
- build without perl_File_BaseDir_enables_xdg_user_dirs

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.08-5
- delete obsolete of perl(File::UserDirs)

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.08-4
- Package init
